none
Getting an error uploading a package to Windows store

    Question

  • I am running Windows 8.1 Enterprise RTM and VS 2013 Ultimate RTM and the latest Windows SDK. I have gotten the Windows SDK today again just to be sure that I have the latest version.

    I am seeing this error when uploading an 8.1 app package to the store.  this is a new 8.1 app being uploaded for the first time. "Validation error:   This package was built with an out-of-date version of the Windows SDK. Please update to the latest version."

    Any ideas?

    Monday, January 6, 2014 8:45 PM

All replies

  • This is probably a dumb question...but are you sure your app targets Windows 8.1 and not Windows 8.0? If you try to upload an 8.0 app as an 8.1 app it would probably give an error message similar to what you are describing.

    I'm a self-taught noob amateur. Please take this into account when responding to my posts or when taking advice from me.

    Tuesday, January 7, 2014 6:18 AM
  • I know it is 8.1 app since VS 2013 cannot produce 8.0 apps, not to mention that the Target Platform version in the property page of project shows 8.1

    Any other ideas?

    Tuesday, January 7, 2014 7:33 AM
  • Ramesh, could you please check the following:

    - VS 2013 Version (in VS 2013 click on Help/About Microsoft Visual Studio - Version should be 12.0.21005.1 REL)

    - Create Store Application Packages out of your solution again, unzip APPX and check that following build Metadata entries in the AppxManifest.xml File match following versions:

      <build:Metadata>
        <build:Item Name="Microsoft.Build.AppxPackage.dll" Version="12.0.21005.1" />
        <build:Item Name="MakePri.exe" Version="6.3.9600.16384 (winblue_rtm.130821-1623)" />
      </build:Metadata>

    - if they are not matching, what are they?

    - are you uploading bundle or package?

    - where did you install Windows SDK from?

    - did you uninstall previous version before installing new one?

    Friday, January 10, 2014 3:08 AM